Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.logging
Interface Logger

All Superinterfaces:
  org.slf4j.Logger

    public interface Logger

extends org.slf4j.Logger

An extension to the SLF4J `Logger` interface, which adds the `quiet` and `lifecycle` log levels.

You can obtain a `Logger` instance using `Logging.getLogger(Class)` or `Logging.getLogger(String)`. A `Logger` instance is also available through `Project.getLogger()` and `Task.getLogger()`.

Field Summary

Fields inherited from interface org.slf4j.Logger
`ROOT_LOGGER_NAME`

Method Summary
`boolean` | `isEnabled(LogLevel level)` Returns true if the given log level is enabled for this logger.
`boolean` | `isLifecycleEnabled()` Returns true if lifecycle log level is enabled for this logger.
`boolean` | `isProgressEnabled()` Returns true if progress log level is enabled for this logger.
`boolean` | `isQuietEnabled()` Returns true if quiet log level is enabled for this logger.
`void` | `lifecycle(java.lang.String message)` Logs the given message at lifecycle log level.
`void` | `lifecycle(java.lang.String message, java.lang.Object... objects)` Logs the given message at lifecycle log level.
`void` | `lifecycle(java.lang.String message, java.lang.Throwable throwable)` Logs the given message at lifecycle log level.
`void` | `log(LogLevel level, java.lang.String message)` Logs the given message at the given log level.
`void` | `log(LogLevel level, java.lang.String message, java.lang.Object... objects)` Logs the given message at the given log level.
`void` | `log(LogLevel level, java.lang.String message, java.lang.Throwable throwable)` Logs the given message at the given log level.
`void` | `progress(java.lang.String message)` Logs the given message at progress log level.
`void` | `progress(java.lang.String message, java.lang.Object... objects)` Logs the given message at progress log level.
`void` | `progress(java.lang.String message, java.lang.Throwable throwable)` Logs the given message at progress log level.
`void` | `quiet(java.lang.String message)` Logs the given message at quiet log level.
`void` | `quiet(java.lang.String message, java.lang.Object... objects)` Logs the given message at quiet log level.
`void` | `quiet(java.lang.String message, java.lang.Throwable throwable)` Logs the given message at quiet log level.

Methods inherited from interface org.slf4j.Logger
`debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, error, error, error, error, error, error, error, error, error, error, getName, info, info, info, info, info, info, info, info, info, info, isDebugEnabled, isDebugEnabled, isErrorEnabled, isErrorEnabled, isInfoEnabled, isInfoEnabled, isTraceEnabled, isTraceEnabled, isWarnEnabled, isWarnEnabled, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn`

Method Detail

### isLifecycleEnabled

    boolean isLifecycleEnabled()

  Returns true if lifecycle log level is enabled for this logger.

### lifecycle

    void lifecycle(java.lang.String message)

  Logs the given message at lifecycle log level.

  Parameters:
    `message` - the log message.

### lifecycle

    void lifecycle(java.lang.String message,
                   java.lang.Object... objects)

  Logs the given message at lifecycle log level.

  Parameters:
    `message` - the log message.
    `objects` - the log message parameters.

### lifecycle

    void lifecycle(java.lang.String message,
                   java.lang.Throwable throwable)

  Logs the given message at lifecycle log level.

  Parameters:
    `message` - the log message.
    `throwable` - the exception to log.

### isProgressEnabled

    boolean isProgressEnabled()

  Returns true if progress log level is enabled for this logger.

### progress

    void progress(java.lang.String message)

  Logs the given message at progress log level.

  Parameters:
    `message` - the log message.

### progress

    void progress(java.lang.String message,
                  java.lang.Object... objects)

  Logs the given message at progress log level.

  Parameters:
    `message` - the log message.
    `objects` - the log message parameters.

### progress

    void progress(java.lang.String message,
                  java.lang.Throwable throwable)

  Logs the given message at progress log level.

  Parameters:
    `message` - the log message.
    `throwable` - the exception to log.

### isQuietEnabled

    boolean isQuietEnabled()

  Returns true if quiet log level is enabled for this logger.

### quiet

    void quiet(java.lang.String message)

  Logs the given message at quiet log level.

  Parameters:
    `message` - the log message.

### quiet

    void quiet(java.lang.String message,
               java.lang.Object... objects)

  Logs the given message at quiet log level.

  Parameters:
    `message` - the log message.
    `objects` - the log message parameters.

### quiet

    void quiet(java.lang.String message,
               java.lang.Throwable throwable)

  Logs the given message at quiet log level.

  Parameters:
    `message` - the log message.
    `throwable` - the exception to log.

### isEnabled

    boolean isEnabled(LogLevel level)

  Returns true if the given log level is enabled for this logger.

### log

    void log(LogLevel level,
             java.lang.String message)

  Logs the given message at the given log level.

  Parameters:
    `level` - the log level.
    `message` - the log message.

### log

    void log(LogLevel level,
             java.lang.String message,
             java.lang.Object... objects)

  Logs the given message at the given log level.

  Parameters:
    `level` - the log level.
    `message` - the log message.
    `objects` - the log message parameters.

### log

    void log(LogLevel level,
             java.lang.String message,
             java.lang.Throwable throwable)

  Logs the given message at the given log level.

  Parameters:
    `level` - the log level.
    `message` - the log message.
    `throwable` - the exception to log.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD